Bug 1928963 (CVE-2021-20247)

Summary: CVE-2021-20247 isync/mbsync: mailbox names returned by IMAP LIST/LSUB not validated
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: lkundrak, mail, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mbsync 1.35, mbsync 1.4.1 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in mbsync. Validations of the mailbox names returned by IMAP LIST/LSUB do not occur allowing a malicious or compromised server to use specially crafted mailbox names containing '..' path components to access data outside the designated mailbox on the opposite end of the synchronization channel. The highest threat from this vulnerability is to data confidentiality and integrity.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-22 19:02:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1931597, 1931598    
Bug Blocks:    

Description Pedro Sampaio 2021-02-15 21:50:04 UTC
A flaw was found in mbsync before v1.3.5 and v1.4.1. mbsync doesn't validate the mailbox names returned by IMAP LIST/LSUB, which allows a malicious/compromised server to use specially crafted mailbox names containing '..' path components to access data outside the designated mailbox on the opposite end of the synchronization channel.

Comment 1 Guilherme de Almeida Suckevicz 2021-02-22 18:26:10 UTC
External References:

https://www.openwall.com/lists/oss-security/2021/02/22/1

Comment 2 Guilherme de Almeida Suckevicz 2021-02-22 18:26:31 UTC
Created isync tracking bugs for this issue:

Affects: epel-all [bug 1931598]
Affects: fedora-all [bug 1931597]

Comment 3 Product Security DevOps Team 2021-02-22 19:02:02 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.